package com.retail_store.order_management.model;


import com.retail_store.order_management.constants.Category;
import com.retail_store.order_management.constants.Color;
import com.retail_store.order_management.constants.Gender;
import com.retail_store.order_management.constants.Size;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class OrderedProduct {
    private String id;
    private String name;
    private Category category;
    private Color color;
    private double price;
    private Gender idealFor;
    private Size size;
    private int quantity;

    @Override
    public String toString() {
        return "OrderedProduct{" +
                "id='" + id + '\t' +
                ", name='" + name + '\n' +
                ", category=" + category + '\t' +
                ", color=" + color + '\n' +
                ", price=" + price + '\t' +
                ", idealFor=" + idealFor + '\n' +
                ", size=" + size + '\t' +
                ", quantity=" + quantity +
                '}';
    }
}
