package com.retail_store.order_management.service;

import com.retail_store.order_management.constants.Category;
import com.retail_store.order_management.constants.Color;
import com.retail_store.order_management.constants.Gender;
import com.retail_store.order_management.model.Order;
import com.retail_store.order_management.model.Product;

import java.sql.Connection;
import java.util.Map;

public interface ProductFilter {

    public Map<Integer, Category> getCategoriesByGender(Gender gender);

    public Map<Integer, Order> getOrders(Connection connection);


    public Map<Integer, Color> getColorsByGenderAndCategory(Gender gender, Category category);

    public Map<Integer, Product> getProductsByGenderAndCategory(Gender gender, Category category);

}
